(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@editorjs/code'), require('@editorjs/header'), require('@editorjs/image'), require('@editorjs/link'), require('@editorjs/list'), require('@editorjs/marker'), require('@editorjs/paragraph'), require('@angular/core'), require('@editorjs/simple-image')) :
    typeof define === 'function' && define.amd ? define('@tinynodes/ngx-editorjs-plugins', ['exports', '@angular/common', '@editorjs/code', '@editorjs/header', '@editorjs/image', '@editorjs/link', '@editorjs/list', '@editorjs/marker', '@editorjs/paragraph', '@angular/core', '@editorjs/simple-image'], factory) :
    (factory((global.tinynodes = global.tinynodes || {}, global.tinynodes['ngx-editorjs-plugins'] = {}),global.ng.common,global.Code,global.Header,global.Image,global.Link,global.List,global.Marker,global.Paragraph,global.ng.core,global.SimpleImage));
}(this, (function (exports,common,Code,Header,Image,Link,List,Marker,Paragraph,core,SimpleImage) { 'use strict';

    Code = Code && Code.hasOwnProperty('default') ? Code['default'] : Code;
    Header = Header && Header.hasOwnProperty('default') ? Header['default'] : Header;
    Image = Image && Image.hasOwnProperty('default') ? Image['default'] : Image;
    Link = Link && Link.hasOwnProperty('default') ? Link['default'] : Link;
    List = List && List.hasOwnProperty('default') ? List['default'] : List;
    Marker = Marker && Marker.hasOwnProperty('default') ? Marker['default'] : Marker;
    Paragraph = Paragraph && Paragraph.hasOwnProperty('default') ? Paragraph['default'] : Paragraph;
    SimpleImage = SimpleImage && SimpleImage.hasOwnProperty('default') ? SimpleImage['default'] : SimpleImage;

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * This plugin returns the tool settings for a `<code>` block tool for `EditorJS`
     */
    var PluginCode = /** @class */ (function () {
        function PluginCode() {
        }
        /**
         * Returns the `ToolSettings` for this plugin
         */
        /**
         * Returns the `ToolSettings` for this plugin
         * @return {?}
         */
        PluginCode.prototype.plugin = /**
         * Returns the `ToolSettings` for this plugin
         * @return {?}
         */
            function () {
                return Code;
            };
        PluginCode.decorators = [
            { type: core.Injectable }
        ];
        return PluginCode;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * A module that provides the default `EditorJS` `<code>` block tool.
     * See [the GitHub repo](https://github.com/editor-js/code) for API details
     */
    var PluginCodeModule = /** @class */ (function () {
        function PluginCodeModule() {
        }
        PluginCodeModule.decorators = [
            { type: core.NgModule, args: [{
                        providers: [PluginCode]
                    },] }
        ];
        return PluginCodeModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * This plugin returns the tool settings for a `<h1> - <h6>` block tool for `EditorJS`
     */
    var PluginHeader = /** @class */ (function () {
        function PluginHeader() {
        }
        /**
         * Returns the plugin settings
         */
        /**
         * Returns the plugin settings
         * @return {?}
         */
        PluginHeader.prototype.plugin = /**
         * Returns the plugin settings
         * @return {?}
         */
            function () {
                return Header;
            };
        PluginHeader.decorators = [
            { type: core.Injectable }
        ];
        return PluginHeader;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * A module that provides the default `EditorJS` header block tool.
     * See [the GitHub repo](https://github.com/editor-js/header) for API details
     */
    var PluginHeaderModule = /** @class */ (function () {
        function PluginHeaderModule() {
        }
        PluginHeaderModule.decorators = [
            { type: core.NgModule, args: [{
                        providers: [PluginHeader]
                    },] }
        ];
        return PluginHeaderModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * This plugin returns the tool settings for a `<h1> - <h6>` block tool for `EditorJS`
     */
    var PluginImage = /** @class */ (function () {
        function PluginImage() {
        }
        /**
         * Returns the plugin settings
         */
        /**
         * Returns the plugin settings
         * @return {?}
         */
        PluginImage.prototype.plugin = /**
         * Returns the plugin settings
         * @return {?}
         */
            function () {
                return Image;
            };
        PluginImage.decorators = [
            { type: core.Injectable }
        ];
        return PluginImage;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * A module that provides the default `EditorJS` `<img>` block tool.
     * See [the GitHub repo](https://github.com/editor-js/image) for API details
     */
    var PluginImageModule = /** @class */ (function () {
        function PluginImageModule() {
        }
        PluginImageModule.decorators = [
            { type: core.NgModule, args: [{
                        providers: [PluginImage]
                    },] }
        ];
        return PluginImageModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * This plugin returns the tool settings for a `<a>` block tool for `EditorJS`
     */
    var PluginLink = /** @class */ (function () {
        function PluginLink() {
        }
        /**
         * Returns the plugin settings
         */
        /**
         * Returns the plugin settings
         * @return {?}
         */
        PluginLink.prototype.plugin = /**
         * Returns the plugin settings
         * @return {?}
         */
            function () {
                return Link;
            };
        PluginLink.decorators = [
            { type: core.Injectable }
        ];
        return PluginLink;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * A module that provides the default `EditorJS` `<a>` block tool.
     * See [the GitHub repo](https://github.com/editor-js/link) for API details
     */
    var PluginLinkModule = /** @class */ (function () {
        function PluginLinkModule() {
        }
        PluginLinkModule.decorators = [
            { type: core.NgModule, args: [{
                        providers: [PluginLink]
                    },] }
        ];
        return PluginLinkModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * This plugin returns the tool settings for a `<li>` and `<ol>` block tool for `EditorJS`
     */
    var PluginList = /** @class */ (function () {
        function PluginList() {
        }
        /**
         * Returns the plugin settings
         */
        /**
         * Returns the plugin settings
         * @return {?}
         */
        PluginList.prototype.plugin = /**
         * Returns the plugin settings
         * @return {?}
         */
            function () {
                return List;
            };
        PluginList.decorators = [
            { type: core.Injectable }
        ];
        return PluginList;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * A module that provides the default `EditorJS` `<li>` and `<ol>` block tool.
     * See [the GitHub repo](https://github.com/editor-js/list) for API details
     */
    var PluginListModule = /** @class */ (function () {
        function PluginListModule() {
        }
        PluginListModule.decorators = [
            { type: core.NgModule, args: [{
                        providers: [PluginList]
                    },] }
        ];
        return PluginListModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * This plugin returns the tool settings for a inline marker tool for `EditorJS`
     */
    var PluginMarker = /** @class */ (function () {
        function PluginMarker() {
        }
        /**
         * Returns the plugin settings
         */
        /**
         * Returns the plugin settings
         * @return {?}
         */
        PluginMarker.prototype.plugin = /**
         * Returns the plugin settings
         * @return {?}
         */
            function () {
                return Marker;
            };
        /**
         * Returns the plugin shortcut
         */
        /**
         * Returns the plugin shortcut
         * @return {?}
         */
        PluginMarker.prototype.shortcut = /**
         * Returns the plugin shortcut
         * @return {?}
         */
            function () {
                return 'CMD+SHIFT+M';
            };
        PluginMarker.decorators = [
            { type: core.Injectable }
        ];
        return PluginMarker;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * A module that provides the default `EditorJS` inline marker tool.
     * See [the GitHub repo](https://github.com/editor-js/marker) for API details
     */
    var PluginMarkerModule = /** @class */ (function () {
        function PluginMarkerModule() {
        }
        PluginMarkerModule.decorators = [
            { type: core.NgModule, args: [{
                        providers: [PluginMarker]
                    },] }
        ];
        return PluginMarkerModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * This plugin returns the tool settings for a `<p>` block tool for `EditorJS`
     */
    var PluginParagraph = /** @class */ (function () {
        function PluginParagraph() {
        }
        /**
         * Returns the plugin settings
         */
        /**
         * Returns the plugin settings
         * @return {?}
         */
        PluginParagraph.prototype.plugin = /**
         * Returns the plugin settings
         * @return {?}
         */
            function () {
                return Paragraph;
            };
        PluginParagraph.decorators = [
            { type: core.Injectable }
        ];
        return PluginParagraph;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * A module that provides the default `EditorJS` `<p>` block tool.
     * See [the GitHub repo](https://github.com/editor-js/paragraph) for API details
     */
    var PluginParagraphModule = /** @class */ (function () {
        function PluginParagraphModule() {
        }
        PluginParagraphModule.decorators = [
            { type: core.NgModule, args: [{
                        providers: [PluginParagraph]
                    },] }
        ];
        return PluginParagraphModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * This plugin returns the simple image tool for `<img>` block editor `EditorJS`
     */
    var PluginSimpleImage = /** @class */ (function () {
        function PluginSimpleImage() {
        }
        /**
         * Returns the plugin settings
         */
        /**
         * Returns the plugin settings
         * @return {?}
         */
        PluginSimpleImage.prototype.plugin = /**
         * Returns the plugin settings
         * @return {?}
         */
            function () {
                return SimpleImage;
            };
        PluginSimpleImage.decorators = [
            { type: core.Injectable }
        ];
        return PluginSimpleImage;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * A module that provides the simple image tools for `EditorJS` `<img>` block tool.
     * See [the GitHub repo](https://github.com/editor-js/image) for API details
     */
    var PluginSimpleImageModule = /** @class */ (function () {
        function PluginSimpleImageModule() {
        }
        PluginSimpleImageModule.decorators = [
            { type: core.NgModule, args: [{
                        providers: [PluginSimpleImage]
                    },] }
        ];
        return PluginSimpleImageModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * The `NgxEditorjsPluginsModule` provides several additional modules
     * that provide a way to easily plug in block and inline tools for `EditorJS`.
     *
     * Importing `NgxEditorjsPluginsModule` will include all modules, while it
     * is also possible to import each individual module as required.
     */
    var NgxEditorjsPluginsModule = /** @class */ (function () {
        function NgxEditorjsPluginsModule() {
        }
        NgxEditorjsPluginsModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            PluginCodeModule,
                            PluginHeaderModule,
                            PluginImageModule,
                            PluginLinkModule,
                            PluginListModule,
                            PluginMarkerModule,
                            PluginParagraphModule,
                            PluginSimpleImageModule
                        ],
                        exports: [
                            PluginCodeModule,
                            PluginHeaderModule,
                            PluginImageModule,
                            PluginLinkModule,
                            PluginListModule,
                            PluginMarkerModule,
                            PluginParagraphModule,
                            PluginSimpleImageModule
                        ]
                    },] }
        ];
        return NgxEditorjsPluginsModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    exports.NgxEditorjsPluginsModule = NgxEditorjsPluginsModule;
    exports.PluginCodeModule = PluginCodeModule;
    exports.PluginCode = PluginCode;
    exports.PluginHeaderModule = PluginHeaderModule;
    exports.PluginHeader = PluginHeader;
    exports.PluginImageModule = PluginImageModule;
    exports.PluginImage = PluginImage;
    exports.PluginLinkModule = PluginLinkModule;
    exports.PluginLink = PluginLink;
    exports.PluginListModule = PluginListModule;
    exports.PluginList = PluginList;
    exports.PluginMarkerModule = PluginMarkerModule;
    exports.PluginMarker = PluginMarker;
    exports.PluginParagraphModule = PluginParagraphModule;
    exports.PluginParagraph = PluginParagraph;
    exports.PluginSimpleImageModule = PluginSimpleImageModule;
    exports.PluginSimpleImage = PluginSimpleImage;

    Object.defineProperty(exports, '__esModule', { value: true });

})));

//# sourceMappingURL=tinynodes-ngx-editorjs-plugins.umd.js.map