import { ToolSettings } from '@editorjs/editorjs';
import { BasePlugin } from '../../types/plugins';
/**
 * This plugin returns the tool settings for a inline marker tool for `EditorJS`
 */
export declare class PluginMarker implements BasePlugin {
    /**
     * Returns the plugin settings
     */
    plugin(): ToolSettings;
    /**
     * Returns the plugin shortcut
     */
    shortcut(): string;
}
